/* The Modal (background) */
.modal {
    display: none;
    /* Hidden by default */
    position: fixed;
    /* Stay in place */
    z-index: 1;
    /* Sit on top */
    left: 0;
    top: 0;
    width: 100%;
    /* Full width */
    height: 100%;
    /* Full height */
    overflow: auto;
    /* Enable scroll if needed */
    background-color: rgb(0, 0, 0);
    /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4);
    /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    /* 15% from the top and centered */
    padding: 20px 20px 30px 20px;
    border: 1px solid #888;
    width: 70%;
    color: black;
    /* Could be more or less, depending on screen size */
}

/* Tablets (pantallas medianas: ≥768px y ≤1024px) */
@media (max-width: 1024px) {
  .modal-content {
    margin: 20vh auto auto auto;
    width: 80%;
  }
}

/* Móviles (pantallas pequeñas: ≤767px) */
@media (max-width: 767px) {
  .modal-content {
    margin: 40% auto auto auto;
    width: 95%;
  }
}

/* The Close Button */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.fx-center {
    display: flex;
    justify-content: center;
    align-items: center;
}

.card:hover {
    transform: translateY(-6px);
    transition: 0.3s;
    box-shadow: 0 8px 20px rgba(0,0,0,0.1);
}
.card img {
    display: block;
}
.premium {
    border: 2px solid #3784c5;
}
.premium .card-title {
    color: #ff9800;
}
.text-primary {
    color: #3784c5 !important;
}
.trend-box,
#subscriptions-content {
    min-height: 600px;
}
/* skeleton/preloader */
/* Animación shimmer */
.card-skeleton-content {
    height: 550px;
    min-height: 550px;
    max-height: 550px;
}
.skeleton {
    position: relative;
    overflow: hidden;
    background: #e9ecef;
}

.skeleton::after {
    content: "";
    position: absolute;
    top: 0;
    left: -150px;
    height: 100%;
    width: 150px;
    background: linear-gradient(90deg, transparent, rgba(255,255,255,0.6), transparent);
    animation: loading 1.5s infinite;
}

@keyframes loading {
    100% {
    left: 100%;
    }
}

.skeleton-text {
    height: 16px;
    margin-bottom: 10px;
    border-radius: 4px;
}

.skeleton-title {
    height: 20px;
    width: 60%;
    margin: 0 auto 15px;
    border-radius: 4px;
}

.skeleton-img {
    height: 160px;
    border-radius: 6px;
    margin-bottom: 20px;
}

.skeleton-btn {
    height: 38px;
    border-radius: 6px;
    margin: 10px 0;
}